CLOG(3)

NAME
clog, clogf, clogl - natural logarithm of a complex number

SYNOPSIS
#include <complex.h>

double complex clog(double complex z);
float complex clogf(float complex z);
long double complex clogl(long double complex z);

Link with -lm.

DESCRIPTION
The logarithm clog() is the inverse function of the exponential cexp(). Thus, if y = clog(z), then z = cexp(y). The imaginary part of y is chosen in the interval [-pi,pi].

One has clog(z) = log(cabs(z))+I*carg(z).

Note that z close to zero will cause an overflow.

CONFORMING TO
C99

SEE ALSO
cabs(3), cexp(3), clog10(3), complex(7)